PHP is one of the most commonly used server-side coding languages. It is extremely popular as it’s free software, which can be used to create responsive websites like community portals, web shops or e-learning portals as opposed to static HTML sites. A PHP module must be installed on the web server where a PHP-driven website is hosted so that its source code can be ‘deciphered’. Since there are no license charges for this kind of module and the language provides incalculable options for the web apps that you develop, there’re hundreds of millions of PHP-driven sites. Furthermore, there are plenty of PHP scripts, which you can use for your websites without the need to possess any programming expertise. Considering the fact that there are different versions of PHP, you have to verify if the same version that you used whilst setting up your site is enabled on the server as well.
PHP 4 and PHP 5 Support in Cloud Website Hosting
Our cloud website hosting servers support different versions of PHP, which means that your sites will work without any problems even if your PHP-based scripts are outdated. We acknowledge the fact that an old site doesn’t inevitably equal an insecure one as you may have carried out a lot of modifications to its source code. This is the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can pick which one will be enabled for your shared web hosting account. The version can be changed with one mouse click from your Hepsia hosting Control Panel and the update will take effect straight away. In case you want to run both newer and older scripts, there is even an option to use a different version of PHP for each of your domains at the same time.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
Even in case your websites were built with an earlier PHP version, you will be able to host them in a semi-dedicated server account from us, since we support different versions running simultaneously on our servers and each one of them can be enabled for your account with just a click from our custom-created Hepsia hosting Control Panel. Aside from the latest PHP 5.5 and PHP 5.4, we also offer support for 5.3, 5.2 and the older PHP 4, which has already been dropped by the great majority of web hosting suppliers, but we are convinced that you shouldn’t be forced to modify a website that took years to create, as older scripting language syntax does not necessarily imply security breaches. Quite the opposite, a well-maintained website using PHP 4 can be more secure than a negligently maintained one using PHP 5. For the sake of your convenience, we will also offer you the opportunity to specify a different version for each website within the account.